Puppet 3.4.2/2.7.25 发布,系统管理工具

来源: 投稿
作者: fei
2014-01-07 00:00:00

       Puppet,是基于Ruby的一个工具,可以集中管理每一个重要方面,使用的是跨平台的规范语言,管理所有单独的元素,通常聚集在不同的文件,如用户, CRON作业,和主机一起的离散元素,如包装,服务和文件。

       Puppet的简单陈述规范语言的能力提供了强大的classing制定了主机之间的相似之处,同时使他们能够提供尽可能具体的必要的,它依赖的先决条件和对象之间的关系清楚而明确。

       集中式系统管理工具Puppet发布3.4.2/2.7.25,是个 Bug 修正版本。2013-01-06 修正了5,6个Bug。上个版本是2013-12-27的3.4.1/2.7.24,其他产品线 3.2.4 3.1.1 3.0.2。

    完全改进:

PUP-724: Could not autoload puppet /util /instrumentation /listeners /log”

    This bug could cause a failure while autoloadingpuppet/util/instrumentation/listeners/log.rb. It was related to the way that puppet compared Ruby Time instances, which would sometimes differ when they shouldn’t.

PUP-1015: Could not intialize global default settings…

    This regression was introduced in Puppet 3.4.0 and prevented Foreman from functioning properly.

PUP-1099: Incorrect permissions in RPMs

    This caused some example file permissions to be set incorrectly on RHEL6.

PUP-1144: No longer allows variables with leading underscores

    This caused the the experimental future parser to reject variable names that started with$_. It was introduced in Puppet 3.4.0.

PUP-1255: Default file mode is now 0600 instead of 0644

    The default mode for file resources was changed from 0644 to 0600 in Puppet 3.4.1. This release restores the previous behavior.

下载:http://downloads.puppetlabs.com/puppet/puppet-3.4.2.tar.gz

     http://downloads.puppetlabs.com/puppet/puppet-2.7.25.tar.gz

展开阅读全文
7 收藏
分享
4 评论
7 收藏
分享
返回顶部
顶部
返回顶部
顶部